{% extends 'base.html.twig' %}

{% block title 'Actualités' %}
{% block body %}
<div class="container col-12">

	<h1>Toutes les Actualités</h1>

     
				{% for advert in adverts|sort((a, b) => b.createdAt <=> a.createdAt) %}
				{% if advert.isPublished == true %}
					
					<div class="offset-md-2 col-md-8">
						<div class="media my-3 shadow-sm p-3 mb-5 bg-white rounded">
							<img class="imgAdvert" alt="" src="{{ asset ('img/actu/') ~ advert.image }}">
							<div class="media-body">
								<h5 class="mt-0">{{ advert.name }} - {{advert.createdAt|date('d/m/Y')}}</h5>
								<p>{{ advert.content }}</p>
								<a href="{{ path ('advertdetails', {id:advert.id}) }}" class="float-right">Lire plus...</a>
							</div>
						</div>
					</div>
				{% endif %}
				{% endfor %}

</div>
	 
     	
			
            {% endblock %}